/*@@@@@@@@@@@@@@@@@@ testContinium.cpp @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
 Random Option Pricing
 Summer 2002
 Authors: A. Korobchevsky
          S. Ferrando
 Ryerson University ALL RIGHTS RESERVED
 
 Purpose: Tests the continium underlying
 @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*/

#include <iostream>
#include <cmath>
#include <cstdlib>
#include <cstring>

#include "../../Rng/GSL_RandomGen.h" 
#include "../../Und/Continium.h"




/********************************** main ******************************
 * Function: main
 * Purpose: tests the continium underline. The next function is called 
   and results are displayed. All underlying parameters are hardcoded.
 * Return: N/A
 *********************************************************************/
// BEGIN All
int main(int argc, char **argv)
{ Continium cont("taus");

  cont.r = 0;
  cont.T = 1.0;
  cont.N = 10;
  cont.P = 0.5;
  cont.sigma = 0.3;

  int S = 100;
  int M = 30;

  for (int i = 0; i < M; i++)
    cout << " Next = " << cont.next(S);
}

// END All
